#!/bin/sh
A=$(basename "$1" .html)
if [ "$A" = "$1" ]; then
    HTMLMODE=0
    A=$(basename "$1" .txt)
    B="${A}.txt"
else
    B="${A}.html"
    HTMLMODE=1
fi

C="${A}-txt.html.new"
D="${A}-txt.html"
if [ ! -f "$B" ]; then exit 1; fi
echo '<!doctype html><head><meta charset="utf-8"><title>Code source de '"${B}"'</title></head><body><h1>Code source de '"${B}"'</h1><pre>' > "$C"
cat "$B" | sed -e 's/&/\&amp;/g;s/</\&lt\;/g;s/>/\&gt\;/g;s/&lt;!-- bold --&gt;/<b>/g;s/&lt;!-- endbold --&gt;/<\/b>/g' | fmt -s -w 78>> "$C"
echo '</pre><p><a download href="'"${B}"'">Lien de téléchargement de '"${B}"'</a></body></html>' >> "$C"

if [ -f "$D" ]; then
    if diff -q "$C" "$D" 2>/dev/null 1>/dev/null; then
        rm "$C"
    else
        mv "$C" "$D"
    fi
else
    mv "$C" "$D"
fi

if grep -q "/${D}" < .gitignore; then
    true
else
    echo "/${D}" >> .gitignore
fi
