#!/bin/sh
P=$(realpath $(dirname "$0"))
find . -type f -print0 | xargs -0 chmod 644 
find . -name '*.sh' -type f -print0 | xargs -0 chmod 755
find . -type d -print0 | xargs -0 chmod 755
cd $P

PP=$(basename "$P")
cd $P/..
rm -f "$P/$PP".zip
zip -r -u "$PP.zip" "$PP"
mv "$PP.zip" "$PP"/
ssh lipnssh mkdir -p public_html/talks/"$PP"
rsync --delete-after -avz "$P"/. lipnssh:public_html/talks/"$PP"/
